Bug 1985602 - --timeout documented default (0) != real default (60)
Summary: --timeout documented default (0) != real default (60)
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: pinentry
Version: 37
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Boris Ranto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-24 10:07 UTC by Jan Kratochvil
Modified: 2022-08-09 13:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-07 20:14:11 UTC
Type: Bug


Attachments (Terms of Use)
Fix of the reality 60->0. (538 bytes, patch)
2021-07-24 10:07 UTC, Jan Kratochvil
no flags Details | Diff

Description Jan Kratochvil 2021-07-24 10:07:15 UTC
Created attachment 1805103 [details]
Fix of the reality 60->0.

Description of problem:
gpg will timeout when asking for a PIN. This is annoying when you are encrypting x00GB of data taking half an hour to timeout afterwards asking for the passphrase just for one minute.

'--timeout SECONDS'
  To disable the timeout and wait indefinitely, set this to 0, which is the default.

Version-Release number of selected component (if applicable):
pinentry-1.1.1-3.fc34.x86_64

How reproducible:
Always.

Steps to Reproduce:
echo >/tmp/echo;time gpg -es /tmp/echo

Actual results:
gpg: signing failed: Timeout
gpg: /tmp/echo: sign+encrypt failed: Timeout
real	1m0.111s

Expected results:
Waiting infinitely as the documentation says.

Additional info:
Sure the other option is to fix the documentation. Then one would need:
  echo 'pinentry-timeout 0' >>~/.gnupg/gpg-agent.conf
But personally I find more infinity as a better default.

Comment 1 Jakub Jelen 2021-08-05 07:31:34 UTC
Filled https://dev.gnupg.org/T5548

Comment 2 Jan Kratochvil 2021-08-26 08:40:01 UTC
Filed: https://dev.gnupg.org/D536

Comment 3 Ben Cotton 2022-05-12 15:00:26 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 4 Ben Cotton 2022-06-07 20:14:11 UTC
Fedora Linux 34 entered end-of-life (EOL) status on 2022-06-07.

Fedora Linux 34 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Jan Kratochvil 2022-06-07 20:27:57 UTC
The problem is still valid, my upstream patch stays ignored:
pinentry-1.2.0-2.fc37

Comment 6 Ben Cotton 2022-08-09 13:11:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.


Note You need to log in before you can comment on or make changes to this bug.